// @author      Kelvin Hui
// @see       	it-blogs.com
// @since     	01-Mar-2016

// Define socket IO
var io 			= require('socket.io')();
var _socket	 	= '';

//When new client is connected
io.on('connection', function (socket) {
    console.log('hello... you are connected (id=' + socket.id + ').');
	_socket = socket;

	//Receiving incoming message 'message_reply'
	socket.on('message_reply', function(msg) {
        console.info('message_reply : '+msg);
    });
	
	//When disconnect
	socket.on('disconnect', function() {
		console.info('Socket id=' + _socket.id + ' has gone.');
    });
});

// Listening to port 3000 for new connection and incoming message
io.listen(3000, function () {
	console.log('Demo 5 - server with port : 3000');
});

// Auto-send message to client every 5s
setInterval(function() {
	var currentTime = new Date().toISOString();
	console.log('Ping client : '+_socket.id+' msg #'+currentTime);
    _socket.emit('ping_client', 'Ping client : '+_socket.id+' msg #'+currentTime);	
}, 5000);